package com.bytedance.android.livesdk.game.model;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public final class GameLiveMark {
    public static final Long LIZ = 0L;
    public static final Long LIZIZ = 0L;
    public static final Long LIZJ = 0L;
    public static final Long LIZLLL = 0L;
    public static final Long LJ = 0L;
    public static final Long LJFF = 0L;
    public static final Long LJI = 0L;
    public static final Integer LJII = 0;
    public static final Integer LJIIIIZZ = 0;
    public static final Long LJIIIZ = 0L;
    public static final Long LJIIJ = 0L;
    public static final Long LJIIJJI = 0L;
    @c(LIZ = "mark_id")
    public Long LJIIL;
    @c(LIZ = "mark_id_str")
    public String LJIILIIL;
    @c(LIZ = "room_id")
    public Long LJIILJJIL;
    @c(LIZ = "room_id_str")
    public String LJIILL;
    @c(LIZ = "vid")
    public String LJIILLIIL;
    @c(LIZ = "cover_url")
    public String LJIIZILJ;
    @c(LIZ = "download_url")
    public String LJIJ;
    @c(LIZ = "stream_url")
    public String LJIJI;
    @c(LIZ = "owner_user_id")
    public Long LJIJJ;
    @c(LIZ = "owner_user_id_str")
    public String LJIJJLI;
    @c(LIZ = "mark_time")
    public Long LJIL;
    @c(LIZ = "start_time")
    public Long LJJ;
    @c(LIZ = "end_time")
    public Long LJJI;
    @c(LIZ = "replay_create_time")
    public Long LJJIFFI;
    @c(LIZ = "title")
    public String LJJII;
    @c(LIZ = "status")
    public Integer LJJIII;
    @c(LIZ = "is_edit")
    public Integer LJJIIJ;
    @c(LIZ = "op_time")
    public Long LJJIIJZLJL;
    @c(LIZ = "preview_pic_url")
    public String LJJIIZ;
    @c(LIZ = "extra")
    public String LJJIIZI;
    @c(LIZ = "create_time")
    public Long LJJIJ;
    @c(LIZ = "update_time")
    public Long LJJIJIIJI;

    static {
        Covode.recordClassIndex(16319);
    }

    public final String toString() {
        StringBuilder sb = new StringBuilder();
        if (this.LJIIL != null) {
            sb.append(", mark_id=");
            sb.append(this.LJIIL);
        }
        if (this.LJIILIIL != null) {
            sb.append(", mark_id_str=");
            sb.append(this.LJIILIIL);
        }
        if (this.LJIILJJIL != null) {
            sb.append(", room_id=");
            sb.append(this.LJIILJJIL);
        }
        if (this.LJIILL != null) {
            sb.append(", room_id_str=");
            sb.append(this.LJIILL);
        }
        if (this.LJIILLIIL != null) {
            sb.append(", vid=");
            sb.append(this.LJIILLIIL);
        }
        if (this.LJIIZILJ != null) {
            sb.append(", cover_url=");
            sb.append(this.LJIIZILJ);
        }
        if (this.LJIJ != null) {
            sb.append(", download_url=");
            sb.append(this.LJIJ);
        }
        if (this.LJIJI != null) {
            sb.append(", stream_url=");
            sb.append(this.LJIJI);
        }
        if (this.LJIJJ != null) {
            sb.append(", owner_user_id=");
            sb.append(this.LJIJJ);
        }
        if (this.LJIJJLI != null) {
            sb.append(", owner_user_id_str=");
            sb.append(this.LJIJJLI);
        }
        if (this.LJIL != null) {
            sb.append(", mark_time=");
            sb.append(this.LJIL);
        }
        if (this.LJJ != null) {
            sb.append(", start_time=");
            sb.append(this.LJJ);
        }
        if (this.LJJI != null) {
            sb.append(", end_time=");
            sb.append(this.LJJI);
        }
        if (this.LJJIFFI != null) {
            sb.append(", replay_create_time=");
            sb.append(this.LJJIFFI);
        }
        if (this.LJJII != null) {
            sb.append(", title=");
            sb.append(this.LJJII);
        }
        if (this.LJJIII != null) {
            sb.append(", status=");
            sb.append(this.LJJIII);
        }
        if (this.LJJIIJ != null) {
            sb.append(", is_edit=");
            sb.append(this.LJJIIJ);
        }
        if (this.LJJIIJZLJL != null) {
            sb.append(", op_time=");
            sb.append(this.LJJIIJZLJL);
        }
        if (this.LJJIIZ != null) {
            sb.append(", preview_pic_url=");
            sb.append(this.LJJIIZ);
        }
        if (this.LJJIIZI != null) {
            sb.append(", extra=");
            sb.append(this.LJJIIZI);
        }
        if (this.LJJIJ != null) {
            sb.append(", create_time=");
            sb.append(this.LJJIJ);
        }
        if (this.LJJIJIIJI != null) {
            sb.append(", update_time=");
            sb.append(this.LJJIJIIJI);
        }
        sb.replace(0, 2, "GameLiveMark{");
        sb.append('}');
        return sb.toString();
    }
}
